
TOOL.Category		= "Robotboy655"
TOOL.Name 			= "Note"
TOOL.Command		= nil
TOOL.ConfigName		= ""

TOOL.ClientConVar[ "text" ] = "Note Text"

if CLIENT then
  language.Add( "Tool_note_name", "Note STool" )
  language.Add( "Tool_note_desc", "Create note with special text if you afraid to forget to make somthing." )
  
  language.Add( "Tool_note_0", "Left-click: create a note." )
  
  language.Add( "Undone_note", "Note removed!" )
end

function TOOL:LeftClick( trace )

	if (!trace.HitPos) then return false end
	if (trace.Entity:IsPlayer()) then return false end
	if ( CLIENT ) then return true end
	

	local ply   = self:GetOwner()
	
	local _Note = ply:GetInfo ("note_text" ) 
	local note  = MakeNote( ply, trace.HitPos, Angle( 90, 0, 0 ), _Note)

	local min = note:OBBMins()
	note:SetPos( trace.HitPos - trace.HitNormal * min.z )
	
	undo.Create("Note")
		undo.AddEntity( note )
		undo.SetPlayer( ply )
	undo.Finish()
	
	
	ply:AddCleanup( "note", note )
	
	return true
	
end

if (SERVER) then

	function MakeNote(pl, Pos, Ang, _Note)
	

		local note = ents.Create( "rb_note" )
		
		note:SetPos( Pos )	
		note:SetAngles( Ang )
		note:Spawn()
		note:Activate()
		
		note:GetTable():Setup(_Note)
		
		pl:AddCount( "note", note)
		
		return note
		
	end
	
	duplicator.RegisterEntityClass( "rb_note", MakeNote, "Pos", "Ang", _Note )

	
end

function TOOL.BuildCPanel(CPanel)

	CPanel:AddControl("TextBox", {  Label = "Note Text",
									Description = "Text that will shown on note.",
									Command = "note_text" })
	CPanel:AddControl("Label", { Text = "To do list:" })
	CPanel:AddControl("Label", { Text = "-Weld [Checkbox]" })
	CPanel:AddControl("Label", { Text = "-Weld to ground [Checkbox]" })
	CPanel:AddControl("Label", { Text = "-On left click create/update note" })
	CPanel:AddControl("Label", { Text = "-On right click copy settings" })
	CPanel:AddControl("Label", { Text = "" })
	CPanel:AddControl("Label", { Text = "Created by robotboy655" })

end
